petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPGetApplicationContext

Gets the user-defined context for the linear solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetApplicationContext(KSP ksp,void *usrP)

Not Collective

### Input Parameter

ksp -KSP context

### Output Parameter

usrP -user context

### Keywords

KSP, get, application, context

### See Also

KSPSetApplicationContext()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages